%define upstream_name    Devel-StackTrace-AsHTML
%define upstream_version 0.15

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Displays stack trace in HTML
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Devel/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Devel::StackTrace)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More) >= 0.880.0
BuildArch:  noarch

%{?perl_default_filter}

%description
Devel::StackTrace::AsHTML adds 'as_html' method to the Devel::StackTrace
manpage which displays the stack trace in beautiful HTML, with code snippet
context and function parameters. If you call it on an instance of the
Devel::StackTrace::WithLexicals manpage, you even get to see the lexical
variables of each stack frame.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README eg
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.150.0-6.mga10
+ Revision: 2198186
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.150.0-5.mga9
+ Revision: 1803006
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.150.0-4.mga8
+ Revision: 1494003
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.150.0-3.mga7
+ Revision: 1267265
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.150.0-2.mga6
+ Revision: 1025621
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 0.150.0-1.mga6
+ Revision: 1001833
- update to 0.15

* Mon Feb 08 2016 umeabot <umeabot> 0.140.0-7.mga6
+ Revision: 949074
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.140.0-6.mga5
+ Revision: 788908
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.140.0-5.mga5
+ Revision: 749122
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 0.140.0-4.mga5
+ Revision: 735611
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.140.0-3.mga5
+ Revision: 684336
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.140.0-2.mga4
+ Revision: 526865
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 0.140.0-1.mga4
+ Revision: 439037
- update to 0.14

* Sun Jan 13 2013 umeabot <umeabot> 0.110.0-2.mga3
+ Revision: 365813
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jun 20 2011 jquelin <jquelin> 0.110.0-1.mga2
+ Revision: 110551
- imported package perl-Devel-StackTrace-AsHTML


* Mon Jun 20 2011 cpan2dist 0.11-1mga
- initial mageia release, generated with cpan2dist
